# TSSetUpdate

Sets the general-purpose update function called at the beginning of every time step. This function can change the time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSSetUpdate(TS ts, PetscErrorCode (*func)(TS, PetscReal, PetscReal *))

Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

func (TS ts, double t, double *dt); - + t - The current time
dt -The current time step

### Keywords

TS, update, timestep

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages